# MainSplash (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl

## Class MainSplash

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.MainSplash

-     public class MainSplash
      extends java.lang.Object

  This class implements a splash window.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainSplash(org.eclipse.swt.widgets.Display display, org.eclipse.swt.widgets.Monitor monitor)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `hide()` Disposes the shell.
    `boolean` | `isDisposed()` Is this shell disposed.
    `void` | `show()` Shows the splash.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MainSplash

          public MainSplash(org.eclipse.swt.widgets.Display display,
                    org.eclipse.swt.widgets.Monitor monitor)

      Creates a new instance.
      Parameters:
        `display` -
        `monitor` -

  - ### Method Detail

    - #### hide

          public void hide()

      Disposes the shell.

    - #### isDisposed

          public boolean isDisposed()

      Is this shell disposed.
      Returns:

    - #### show

          public void show()

      Shows the splash. It is automatically hidden after 2000 ms